// --------------------------------------------------------------------
// Projet POBOT Carte CNP.                                          ---
// CarteCNP Main Function. Version 1.0.                      				---
//                                                                  ---
// Cr le 27 Novembre 2006 par Spinelli Gilles.                    ---
// --------------------------------------------------------------------

#include "CarteCNP.h"

// ----- Dclaration des COnstantes Globales -----

// ----- Dclaration des Variables Globales -----
unsigned char									cCar;
unsigned char									szBuffer[20];

unsigned char									cColor_G, cColor_D;

volatile struct structFlags    sGeneral_Flags;

// ----- Dclaration des Constantes Locales -----

const unsigned char szColor_String[3][6]={"Rien ", "Rouge", "Bleu "};

// ----- Dclaration des Variables Locales -----


void Blink_Led(void)
{
	LED_ON(); Delay(100);
	LED_OFF(); Delay(100);
}


void Board_Init(unsigned char cHotReset)
{
	if (!cHotReset)
	{
		// -- Initialisation Ports E/S ---
		DDRA=RESET_PADDR; PORTA=RESET_PORTA;
		DDRB=RESET_PBDDR; PORTB=RESET_PORTB;
		DDRC=RESET_PCDDR; PORTC=RESET_PORTC;
		DDRD=RESET_PDDDR; PORTD=RESET_PORTD;
	}
	
	// -- Initialisation Variables Globales --
	
	
	// -- Initialisation Priphriques --
	enable_interrupt();
	
	Timer_Init();
	Blink_Led();
	Serial_Init(SERIAL_V19200);
	Blink_Led();
}

unsigned char WaitChar(void)
{
	unsigned char		cCar = 0;
	
	do
	{
		cCar=ScanChar();
		
		// -- Regarde si Changement d'heure --
		if (bTimer_FlagClk)
		{ 
			Clock_Conversion(szBuffer);
			PosCur(50,2); PrintS(szBuffer);
			bTimer_FlagClk = FALSE;
			PosCur(2,8); 
		}
		
		// -- Regarde si Changement de Couleur --
		if (bColor_Change)
		{
			strcpy(szBuffer,szColor_String[cColor_G]);
			PosCur(57,7); PrintS(szBuffer);
			strcpy(szBuffer,szColor_String[cColor_D]);
			PosCur(57,8); PrintS(szBuffer);
			bColor_Change = FALSE;
		}
	}
	while (cCar==0);
	
	return(cCar);
}


int main(void)
{
	Board_Init(FALSE);
	
	Terminal_Init();
	Clock_Init();
	
	do
	{
		do
		{
			ClearScreen();
			PosCur(2,2);
			PrintS("Bonjour, je suis la Carte CNP.");
			Clock_Conversion(szBuffer); PosCur(50,2); PrintS(szBuffer);
			PosCur(4,4); PrintS("1. Blinker la Led");
			PosCur(4,5); PrintS("2. Allumer la Led");
			PosCur(4,6); PrintS("3. Eteindre la Led");
			PosCur(4,7); PrintS("4. Demarrer la Detection Couleur");
			
			bColor_Change = TRUE;
			PosCur(40,7); PrintS("Couleur Gauche : ");
			PosCur(40,8); PrintS("Couleur Droite : ");
			cCar = WaitChar();
			
			switch (cCar)
			{
				case '1' :	Blink_Led();
										break;

				case '2' :	LED_ON();
										break;										
										
				case '3' :	LED_OFF();
										break;	
										
				case '4' :	Timer_Color();	
										break;										
										
				default :		PosCur(2,10); PrintS("BUUUUMMMMMP : Mauvaise Reponse !!! Veuillez recommencer ...");
										WaitChar();
										break;
			}
		}
		while(1);
	}
	while(1);
}
