// --------------------------------------------------------------------
// Projet POBOT Carte CNP.                                          ---
// Declarations Gnrales CarteCNP. Version 1.0.                    ---
//                                                                  ---
// Cr le 27 Novembre 2005 par Spinelli Gilles.                    ---
// --------------------------------------------------------------------

// --------------------------------------------------
// ----- Constantes & Fonctions Spcifiques		-----
// --------------------------------------------------
#define VERSIONSOFT	  		"1.00"						

#define TRUE  						1
#define FALSE 						0

#define enable_interrupt 	sei	
#define disable_interrupt cli

#define no_operation()		__asm__ __volatile__ ("nop" ::)



// ------------------------------------------------------
// ----- Dclaration de la Structure des Flags		-----
// ------------------------------------------------------
typedef struct structFlags
{          
  unsigned int bit0  :1;
  unsigned int bit1  :1;
  unsigned int bit2  :1;
  unsigned int bit3  :1;
  
  unsigned int bit4  :1;
  unsigned int bit5  :1;
  unsigned int bit6  :1;
  unsigned int bit7  :1;
  
  unsigned int bit8  :1;
  unsigned int bit9  :1;
  unsigned int bit10 :1;
  unsigned int bit11 :1;
  
  unsigned int bit12 :1;
  unsigned int bit13 :1;
  unsigned int bit14 :1;
  unsigned int bit15 :1;
}sf;


// ----------------------------------------------
// ----- Fichiers de Dclaration du C. 	-----
// ----------------------------------------------
#include <io.h>
#include <iom32.h>
#include <interrupt.h>

#include <signal.h>

#include <string.h>
#include <stdlib.h>


// -----------------------------------------------------
// ----- Fichier de Dclaration des Bibliothques. -----
// -----------------------------------------------------
#include "Port-CNP.h"

#include "Timer.h"							
#include "Serie2.h"							// Optimis pour Robot 2006.

#include "Code_VT52.h"					// Code VT52 pour Terminal ...
#include "Terminal.h"


// --------------------------------------------------
// ----- Dclaration des Constantes Globales	-----
// --------------------------------------------------


// --------------------------------------------------
// ----- Dclaration des Variables Globales		-----
// --------------------------------------------------

unsigned char								cColor_G, cColor_D;

extern volatile struct structFlags    sGeneral_Flags;              
#define bExit                 sGeneral_Flags.bit0
#define bColor_BlueOn         sGeneral_Flags.bit1
#define bColor_Change         sGeneral_Flags.bit2

// --------------------------------------------------
// ----- Dclaration des Fonctions Globales		-----
// --------------------------------------------------

void                    Board_Init(unsigned char cHotReset);


