// --------------------------------------------------------------------
// Projet POBOT Carte CNP.                                					---
// Dclaration des Ports E/S. Version 1.0.                          ---
//                                                                  ---
// Cr le 27 Novembre 2005 by Spinelli Gilles.                     ---
// 																																	---
// --------------------------------------------------------------------


// ----- DDRx est  '1' pour une sortie, et  '0' pour une entre. -----


// ----- Port A. Ports E/S,  modifier en fonction des besoins. -----
// --- Port contenant des entres analogiques, donc plutot Capteur. ---
#define RESET_PADDR         0b00000000 
#define RESET_PORTA        	0b00000000 

#define pDetect_G    			PINA  			// PA0, Entre : Detect_G Led On(0)/Off(1).
#define bDetect_G    			0x01

#define pDetect_D    			PINA  			// PA1, Entre : Detect_D Led On(0)/Off(1).
#define bDetect_D    			0x02



// ----- Port B. Utilis pour grer la liaison SPI avec les Drivers Moteurs. ---
#define RESET_PBDDR         0b10111010 
#define RESET_PORTB        	0b00011010 

#define pLed       			PORTB  			// PB1, Sortie : Led C On(0)/Off(1). Par dfaut  1.
#define bLed       			0x02
#define	LED_ON()				pLed &= ~bLed	// Macro pour Gestion LED C.
#define	LED_OFF()				pLed |= bLed

#define pEnable_DM    	PORTB  			// PB3, Sortie : Enable Driver Moteur On(0)/Off(1). Par dfaut  1.
#define bEnable_DM			0x08

#define pCS_DM    			PORTB  			// PB4, Sortie : Chip Select Driver Moteur On(0)/Off(1). Par dfaut  1.
#define bCS_DM					0x10

#define pMOSI    				PORTB  			// PB5, Sortie : SPI MOSI. Par dfaut  0.
#define bMOSI						0x20

#define pMISO    				PINB  			// PB6, Entre : SPI MISO. 
#define bMISO						0x40

#define pSCK    				PORTB 			// PB6, Sortie : SPI Clock. Par dfaut  0.
#define bSCK						0x80



// ----- Port C. Ports E/S,  modifier en fonction des besoins. -----
// --- Utilis aussi pour grer le MAX en emission/rception. ---
#define RESET_PCDDR         0b00000001 
#define RESET_PORTC        	0b00000001 

#define pMAX_TxOn  			PORTC  			// PC0, Sortie : Max en Emission(0)/Rception(1). Par dfaut  1.
#define bMAX_TxOn  			0x01
#define	MAX_RECEPTION()	pMAX_TxOn &= ~bMAX_TxOn	// Macro pour Gestion MAXIM.
#define	MAX_EMISSION()	pMAX_TxOn |= bMAX_TxOn




// ----- Port D. Ports E/S,  modifier en fonction des besoins. ---
// --- Utilis aussi pour la Liaison Srie. ---
#define RESET_PDDDR         0b10000010 
#define RESET_PORTD        	0b00000010 

#define pRxD  				PIND  		// PD0, Entre : Donnes Srie en Rception.
#define bRxD  				0x01

#define pTxD  				PORTD  		// PD1, Sortie : Donnes Srie en Emission. Par dfaut  1.
#define bTxD  				0x02


#define pColor_Select	PORTD  		// PD7, Sortie : Activation Led Rouge(1)/Bleue(0). Par dfaut  0.
#define bColor_Select	0x80
#define	COLOR_BLUE()	pColor_Select &= ~bColor_Select;
#define	COLOR_RED()		pColor_Select |= bColor_Select;
